Bug 321 - MS InPort BusMouse gets detected as Logitech & MS & ATIBM, does not work afterwards
MS InPort BusMouse gets detected as Logitech & MS & ATIBM, does not work afte...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1998-12-06 20:48 EST by Adam Thompson
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-07-07 20:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Thompson 1998-12-06 20:48:30 EST
In a machine with a Microsoft InPort BusMouse card & mouse,
the stock 5.2 kernel boots up and detects a Logitech BM on
IRQ 5, then detects an ATI XL BusMouse.  At gpm startup,
"/dev/mouse: operation not supported" is returned and gpm
fails to initialize.

Problem seems to be that ALL the kernel busmouse drivers
are fighting for control of the resource.  Looks like both
the Logitech driver and the ATIXL driver are gaining
control, but on different access points.  /dev/mouse is a
symlink to /dev/msinportbm - and does not seem to be active.

/proc/interrupts does not have any IRQ registered for any
device, despite the boot-time message.

Had to switch to a serial mouse to obtain gpm functionality.
Comment 1 David Lawrence 1998-12-07 15:06:59 EST
This has been assigned to a developer for further review.
Comment 2 Preston Brown 1999-02-10 16:50:59 EST
Dave, please verify that this is still broken in the test lab with a
busmouse and a 2.2 kernel.

------- Additional Comments From   07/07/99 20:51 -------
This doesnt seem to occur with kernel 2.2 as shipped with Red Hat 6.0.
I was able to successfully boot up and run mouseconfig to choose the
Microsoft BusMouse selection then reboot and use the Inport BusMouse
with gpm and X properly.

Note You need to log in before you can comment on or make changes to this bug.